Summary: HTTP server daemon to provide Administrative WWW services on port 81
Name: apache-admin
Version: 1.3.1
Release: 3C2
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{PACKAGE_VERSION}.tar.gz
Source1: admapache.log
Patch0: apache-admin_1.3.1-cobalt.patch.1
Patch1: apache-admin_1.3.1-cobalt.patch.2
BuildRoot: /tmp/apache-root
URL: http://www.apache.org/

%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more. 

%changelog
* Thu Aug 20 1998 Duncan Laurie <duncan@cobaltnet.com>
  - fix for the timeout bug

* Wed Aug 05 1998 Duncan Laurie <duncan@cobaltnet.com>
  - updated apache to 1.3.1

* Fri Jul 3 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Removing mime.types from this rpm

* Thu Jul 2 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Move config files to different rpm. 

* Fri Jun 26 1998 Aaron Fosdick <aaron@cobaltmicro.com>
- paths change for branch
- /home/site to /usr/admserv

* Wed Jun 24 1998 Aaron Fosdick <aaron@cobaltmicro.com>

- update to 1.3.0
- remove initscripts

* Mon Mar 09 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Changed lockfile from admserv to ahttpd.

* Sat Feb 28 1998 Timothy Stonis <tim@cobaltmicro.com>

 -logrotate entry wasn't in files list... dammit..

* Thu Feb 26 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added admin server logrotate entry.

* Tue Feb 24 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Backout FollowSym for cgi-bin
 -Add user-images alias

* Wed Feb 18 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added custom ErrorDocument support for file not found,
  internal server error, forbidden, and auth fail.

* Wed Feb 5 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Initial creation of 1.2.5 admin server.

%prep 
%setup -n apache_%{PACKAGE_VERSION}

%patch0 -p1
%patch1 -p1

%build
(cd src; ./Configure)
make OPTIM="-O2 -fomit-frame-pointer" -C src LIBS="-lcrypt -ldb" EXTRA_CFLAGS="-DBIG_SECURITY_HOLE"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/admserv/{html,cgi-bin,icons}
mkdir -p $RPM_BUILD_ROOT/etc/admserv/conf
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,8}
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,3,5,6}.d}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log/httpd

#cp conf/mime.types $RPM_BUILD_ROOT/etc/admserv/conf

install -m755 icons/* $RPM_BUILD_ROOT/usr/admserv/icons/
install -m755 -s src/httpd $RPM_BUILD_ROOT/usr/sbin/ahttpd
install -m644 src/support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8

#install -m755 $RPM_SOURCE_DIR/admserv.init \
#	$RPM_BUILD_ROOT/etc/rc.d/init.d

#for I in 0 1 6; do
#	ln -sf ../init.d/admserv.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K25ahttpd
#done
#for I in 3 5; do
#	ln -sf ../init.d/admserv.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S70ahttpd
#done

install -m644 $RPM_SOURCE_DIR/admapache.log $RPM_BUILD_ROOT/etc/logrotate.d/admin-apache
#install -m644 $RPM_SOURCE_DIR/admsrm.conf $RPM_BUILD_ROOT/etc/admserv/conf/srm.conf
#install -m644 $RPM_SOURCE_DIR/admaccess.conf $RPM_BUILD_ROOT/etc/admserv/conf/access.conf
#install -m644 $RPM_SOURCE_DIR/admhttpd.conf $RPM_BUILD_ROOT/etc/admserv/conf/httpd.conf


%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
#%attr(-,root,root) %config /etc/admserv/conf/*.conf
#%attr(-,root,root) %config /etc/admserv/conf/mime.types
%attr(-,root,root) %config /etc/logrotate.d/admin-apache
%attr(-,root,root) %dir /etc/admserv
%attr(-,root,root) %dir /etc/admserv/conf
%attr(-,root,root) %dir /usr/admserv
#%attr(-,root,root) /etc/rc.d/init.d/*
#%attr(-,root,root) /etc/rc.d/rc*/*
%attr(-,root,root) /usr/sbin/ahttpd
/usr/admserv/icons/*



